Issue748

classification
Title [Bug: 21.5-b29] assertion failure while typing in minibuffer
Type defect Module core code 21.5
Severity inconvenience Platform N/A
Keywords Nosy List mike.kupfer
explanation
process
These controls should only be changed by committers and tracker administrators.
Status closed   Reason superseded
Superseder [Bug: 21.5-b29] crash in redisplay.c, line 9165 with recent mercurial
View: 697
  Submitted 2010-12-23.23:07:41
Priority normal   Assigned To

Created on 2010-12-24.13:12:48 by mike.kupfer, last changed 2011-05-02.17:37:27 by mike.kupfer.

Files
File name Uploaded Type Edit Remove
unnamed mike.kupfer, 2010-12-24.13:12:48
unnamed mike.kupfer, 2010-12-24.13:12:48 text/plain
unnamed mike.kupfer, 2010-12-24.13:12:48
unnamed mike.kupfer, 2010-12-24.13:12:48 text/plain
unnamed mike.kupfer, 2010-12-24.13:12:48 text/plain
Messages
msg2246 [hidden] ([hidden]) Date: 2010-12-24.13:12:48
  Message-ID: <3833.1293145661@rawbw.com>
================================================================
Dear Bug Team!

I was editing an HTML file.  I typed C-c + to enter the href for a
link.  While entering the link target, all my XEmacs windows disappeared
and there was a core file waiting for me.

My .xsession-errors file has
-----8<-----8<-----
Fatal error: assertion failed, file redisplay.c, line 9168, pos >= 0 && pos < dy->largest_

Fatal error (6).
[...]
Lisp backtrace follows:

  # (unwind-protect ...)
  event-window(#<motion-event 265, 607 0x585b>)
  # bind (frame event)
  default-mouse-motion-handler(#<motion-event 265, 607 0x585b>)
  ("execute_internal_event()" "[internal]")
  (dispatch-event "[internal]")
  # (condition-case ... . error)
  # (unwind-protect ...)
  read-minibuffer-internal("Value for HREF in A (CDATA): ")
  byte-code("..." [standard-output standard-input prompt recursion-depth minibuffer-depth t read-minibuffer-internal] 2)
  # (catch exit ...)
  # bind (mouse-grabbed-buffer current-prefix-arg minibuffer-history-variable minibuffer-history-position minibuffer-scroll-window)
  # (unwind-protect ...)
  # bind (minibuffer-default oconfig mconfig frame buffer window oframe owindow dir default abbrev-table history readp keymap initial-contents prompt)
  read-from-minibuffer("Value for HREF in A (CDATA): " nil #<keymap minibuffer-local-map size 14 0x2e> nil nil nil nil)
  # bind (minibuffer-completion-table default-value history initial-contents prompt)
  read-string("Value for HREF in A (CDATA): ")
  # bind (value prompt type ids notations tokens dv name curvalue element attdecl)
  sgml-read-attribute-value(("HREF" CDATA IMPLIED) A nil)
  (list name (sgml-read-attribute-value (if sgml-dtd-less (list name) (sgml-lookup-attdecl name (sgml-element-attlist el))) (sgml-element-name el) (sgml-element-attval el name)))
  # bind (name el)
  (let* ((el (sgml-find-attribute-element)) (name (sgml-general-case (let ((completion-ignore-case sgml-namecase-general)) (completing-read "Attribute name: " (mapcar (function (lambda (a) (list (sgml-attdecl-name a)))) (if sgml-dtd-less (sgml-tree-asl el) (sgml-non-fixed-attributes (sgml-element-attlist el)))) nil (not sgml-dtd-less)))))) (list name (sgml-read-attribute-value (if sgml-dtd-less (list name) (sgml-lookup-attdecl name (sgml-element-attlist el))) (sgml-element-name el) (sgml-element-attval el name))))
  call-interactively(sgml-insert-attribute)
  (dispatch-event "[internal]")
  # (condition-case ... . error)
  # (catch top-level ...)
----->8----->8-----

gdb gives me this C stack trace:

(gdb) bt
#0  0x006be422 in __kernel_vsyscall ()
#1  0x00a037a6 in kill () from /lib/tls/i686/cmov/libc.so.6
#2  0x080ee7d1 in fatal_error_signal (sig=6) at emacs.c:3905
#3  <signal handler called>
#4  0x006be422 in __kernel_vsyscall ()
#5  0x00a034d1 in raise () from /lib/tls/i686/cmov/libc.so.6
#6  0x00a06932 in abort () from /lib/tls/i686/cmov/libc.so.6
#7  0x080efc84 in really_abort () at emacs.c:4794
#8  0x080ee8d7 in assert_failed (file=0x82fbaec "redisplay.c", line=9168, 
    expr=0x82e4fcc "pos >= 0 && pos < dy->largest_") at emacs.c:4091
#9  0x0811b027 in Dynarr_verify_pos_atp (d=0xa7c3148, pos=-1, 
    file=0x82fbaec "redisplay.c", line=9168) at array.h:204
#10 0x0821a5b9 in pixel_to_glyph_translation (f=0xab110d8, x_coord=265, 
    y_coord=607, col=0xbfc177ac, row=0xbfc177a8, obj_x=0xbfc177a4, 
    obj_y=0xbfc177a0, w=0xbfc1779c, charpos=0xbfc17798, closest=0xbfc17794, 
    modeline_closest=0xbfc17790, obj1=0xbfc1778c, obj2=0xbfc17788)
    at redisplay.c:9168
#11 0x08109017 in event_pixel_translation (event=181988620, char_x=0x0, 
    char_y=0x0, obj_x=0x0, obj_y=0x0, w=0xbfc1780c, bufp=0x0, closest=0x0, 
    modeline_closest=0x0, obj1=0x0, obj2=0x0) at events.c:2101
#12 0x081096e6 in Fevent_window (event=181988620) at events.c:2234
#13 0x080f8b55 in Ffuncall (nargs=2, args=0xbfc17924) at eval.c:4092
#14 0x080afbde in execute_optimized_program (
    program=0xa11344c "\306\r!\256\003\307 \036>\310\r!\036A\311\r!\211\034\255\004\312\r!\211\030\255\005\313\314\f\"\036=\f\255\b\b?\255\004\315\r!\211\032\253\b\316\n\f\317#\256\n\b\255\a\316\b\016=\320#\036\067\321\r!\211\036?\255\t\322\016?!\255\003\016?\211\031\253\n\323\t\324\"\253\004\t\256\024\n\253\b\316\n\f\324#\256\n\b\255\a\316\b\016=\324#\211\036@\255\f\322\016@!\255\006\323\016@\324\"\036$\325\r!\036\070\t\253\n\323\t\320\"\253\004\t\256\"\016\070\253\v\326\016\070!\253\005\016\070\256\024\n\253\b\316\n\f\320#\256\n\b\255\a\316\b\016=\320#\033\327\r!\253\004ت1\016\067\254\004\t\253\004
History
Date User Action Args
2011-05-02 17:37:27mike.kupfersetstatus: new -> closed
reason: superseded
superseder: + [Bug: 21.5-b29] crash in redisplay.c, line 9165 with recent mercurial
2011-05-01 13:23:50stephensetstatus: new
severity: inconvenience
module: + core code 21.5
priority: normal
platform: + N/A
type: defect
2010-12-24 13:12:48mike.kupfercreate